For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all environments for a workflow
      • PUTUpdate a workflow environment
LogoLogo
Scout DocsAccess Scout
EndpointsEnvironments

Update a workflow environment

Beta
PUT
https://api.scoutos.com/v2/workflows/:workflow_id/environments/:environment_id
PUT
/v2/workflows/:workflow_id/environments/:environment_id
$curl -X PUT https://api.scoutos.com/v2/workflows/workflow_id/environments/environment_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Production Environment",
> "description": "Primary environment for live user traffic",
> "deployments": [
> {
> "revision_lookup": "latest"
> }
> ]
>}'
1{
2 "success": true
3}
Update deployments within a workflow environment
Was this page helpful?
Previous

Get usage information for the current organization.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired
environment_idstringRequired

Request

This endpoint expects an object.
namestringRequired
descriptionstringRequired
deploymentslist of objectsRequired

Response

Successful Response
successboolean

Errors

422
Unprocessable Entity Error